@import url('open.iconic/font/css/open-iconic-bootstrap.min.css');
@import url('font-awesome/css/font-awesome.min.css');

/* roboto-regular - latin */
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url('../assets/fonts/roboto/roboto-v30-latin-regular.woff2') format('woff2'), url('../assets/fonts/roboto/roboto-v30-latin-regular.woff') format('woff');
    font-display: swap;
}

/* roboto-italic - latin */
@font-face {
    font-family: 'Roboto';
    font-style: italic;
    font-weight: 400;
    src: url('../assets/fonts/roboto/roboto-v30-latin-italic.woff2') format('woff2'), url('../assets/fonts/roboto/roboto-v30-latin-italic.woff') format('woff');
    font-display: swap;
}

/* roboto-500 - latin */
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 500;
    src: url('../assets/fonts/roboto/roboto-v30-latin-500.woff2') format('woff2'), url('../assets/fonts/roboto/roboto-v30-latin-500.woff') format('woff');
    font-display: swap;
}

/* roboto-500italic - latin */
@font-face {
    font-family: 'Roboto';
    font-style: italic;
    font-weight: 500;
    src: url('../assets/fonts/roboto/roboto-v30-latin-500italic.woff2') format('woff2'), url('../assets/fonts/roboto/roboto-v30-latin-500italic.woff') format('woff');
    font-display: swap;
}

/* roboto-900 - latin */
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 900;
    src: url('../assets/fonts/roboto/roboto-v30-latin-900.woff2') format('woff2'), url('../assets/fonts/roboto/roboto-v30-latin-900.woff') format('woff');
    font-display: swap;
}

/* roboto-900italic - latin */
@font-face {
    font-family: 'Roboto';
    font-style: italic;
    font-weight: 900;
    src: url('../assets/fonts/roboto/roboto-v30-latin-900italic.woff2') format('woff2'), url('../assets/fonts/roboto/roboto-v30-latin-900italic.woff') format('woff');
    font-display: swap;
}

:root {
    --text-primary-color: #4d4d4d;
    --title-primary-color: #0f0072;
    --btn-primary-bg-color: #5969E3;
    --btn-primary-color: #fff;
    --btn-dark-blue-color: #000e76;
    --btn-light-blue-color: #f2f4ff;
    --btn-dark-orange-color: #f44336;
}

*,
*::before,
*::after {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

html {
    box-sizing: border-box;
    height: 100%;
}

html, body {
    font-family: Roboto, 'Helvetica Neue', Helvetica, Arial, sans-serif;
    color: var(--text-primary-color);
    font-size: 16px;
    font-weight: 400;
    border: none;
    margin: 0;
    padding: 0;
}

html, body, #app {
    height: 100%;
    overflow: hidden;
}

#app {
    background-color: #F0F0F0;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

p {
    padding: 0;
    margin: 0;
}

input.my-form-control {
    padding: 12px;
    width: 100%;
    border-radius: 5px;
    border: 1px solid #ccc;
    background-color: #fff;
}

    input.my-form-control:focus {
        color: #212529;
        background-color: #fff;
        border-color: #86b7fe;
        outline: 0;
        box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
    }

input[type="datetime-local"].my-form-control {
    height: 1.5em;
}

input.my-form-control::-moz-placeholder {
    color: #6c757d;
    opacity: 1;
}

input.my-form-control::placeholder {
    color: #6c757d;
    opacity: 1;
}

input.my-form-control:disabled, input.my-form-control[readonly] {
    background-color: #e9ecef;
    opacity: 1;
}

.login-btn {
    width: 100%;
    border-radius: 5px;
    padding: 12px;
}

.sidebar.expand {
    top: 35px !important;
}

.page-info-container {
    padding: 20px 4px;
}

.custom-grid-header .dxbl-image {
    color: #fff;
}

.btn,
.dxbl-btn.dxbl-btn-standalone {
    border-radius: 5px;
}

    .btn.btn-primary,
    .btn.btn-primary.nav-toggle-btn,
    .dxbl-treeview .dxbl-treeview-item > .dxbl-treeview-item-content > .dxbl-treeview-item-container:not(.dxbl-disabled):not(:disabled).dxbl-active,
    .dxbl-btn.dxbl-btn-outline-secondary.dxbl-pager-page-btn.dxbl-pager-active-page-btn {
        background-color: #5969E3;
    }

.grid-btns-wrapper,
.grid-btn-wrapper,
.dx-btns-wrapper {
    display: flex;
    gap: 4px;
    width: 100%;
    justify-content: center;
}

    .grid-btns-wrapper .grid-btn,
    .grid-btn-wrapper .grid-btn,
    .dxbl-btn.dxbl-btn-primary.dxbl-btn-standalone.dx-btn-fl,
    .dxbl-btn.dxbl-btn-success.dxbl-btn-standalone.dx-btn-fl,
    .dxbl-btn.dxbl-btn-dark.dxbl-btn-standalone.dx-btn-fl,
    .dxbl-btn.dxbl-btn-danger.dxbl-btn-standalone.dx-btn-fl,
    .dx-btns-wrapper .dx-btn-fl {
        padding: 0 2px;
        flex-grow: 1;
    }

    .grid-btns-wrapper .grid-btn {
        flex-basis: 50%;
    }

    .grid-btns-wrapper > .p-grid-btn {
        padding: 0 4px;
        flex-grow: 1;
    }

.btn-neu {
    padding: 0px;
    width: 100%;
}

.icon-mx {
    margin: 0 4px;
}

.icon-mr {
    margin-right: 4px
}

.dx-btn-mw,
.btn-mw {
    width: 100%;
}

.wahlleistungen-dx-popup {
    min-height: 300px;
    max-height: 96vh;
    max-width: 1080px;
}

.carousel-height {
    height: 320px;
}

.column-chooser,
.cmd-column-btn {
    flex-grow: 1;
}

    .column-chooser > .column-chooser-btn {
        padding: 0 4px;
        width: 100%;
        border: none;
        background-color: #fff;
        border-radius: 5px;
    }

.documenten-grid-wrapper .dxbl-text-edit {
    --dxbl-text-edit-bg: #fff;
}

.combo-box-white-style {
    background-color: #fff;
}

    .combo-box-white-style .dxbl-text-edit > .dxbl-btn-group-vertical > .dxbl-btn:not(.dxbl-btn.dxbl-edit-btn-clear,.dxbl-btn.dxbl-btn-icon), .dxbl-text-edit > .dxbl-btn-group > .dxbl-btn:not(.dxbl-btn.dxbl-edit-btn-clear,.dxbl-btn.dxbl-btn-icon), .dxbl-text-edit > .dxbl-btn:not(.dxbl-btn.dxbl-edit-btn-clear,.dxbl-btn.dxbl-btn-icon) {
        background-color: #fff;
    }

.anforderungsdetails-popup {
    max-width: 100%;
    margin: 4px !important;
}

.grid-expand-btn-style .dxbl-grid-expand-button-cell {
    border: none !important;
}

.grid-expand-btn-style .dxbl-grid-detail-cell {
    padding: 0 !important;
}


.mdk-epa-wrapper .dxbl-grid > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > .dxbl-grid-table > tbody.dxbl-grid-top-fixed-body, .dxbl-grid > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > .dxbl-grid-table > thead {
    z-index: 0;
}

.calendar-day {
    padding: 0 4px;
    border-radius: 5px;
}

    .calendar-day.available-day {
        color: #fff;
        background-color: #4CAF50;
    }

    .calendar-day.disabled-day {
    }

    .calendar-day.holiday {
        color: #fff;
        background-color: #f44336;
    }

.successful-msg {
    color: #198754;
}

.error-msg {
    color: #dc3545;
}

.sound-switch.dxbl-checkbox.dxbl-checkbox-switch.dxbl-lg .dxbl-checkbox-check-element {
    margin: 2px 0 0 0 !important;
}

.profile-btn-wrapper button {
    padding: 0px;
}

.error-message-wrapper {
    padding: 12px 4px;
}

.error-message-color {
    color: #ff0000;
}

    .error-message-color.t-center {
        text-align: center;
    }

.dx-edit-form-layout-style {
    padding: 4px 12px;
    width: 100%;
    border-radius: 5px;
    background-color: #fdfdfd;
    border: 1px solid #cecece;
}

    .dx-edit-form-layout-style.bg-white-input {
        background-color: #f7f7f7;
    }

        .dx-edit-form-layout-style.bg-white-input .dxbl-text-edit .dxbl-text-edit-input {
            background-color: #fff;
        }

    .dx-edit-form-layout-style .dxbl-fl-cpt.dxbl-text {
        font-weight: 500;
        color: #000b4b;
    }


.dxbl-grid-detail-cell {
    padding: 12px !important;
}

.bg-light-blue {
    background-color: var(--btn-light-blue-color);
}

    .bg-light-blue .combo-box-white-style .dxbl-text-edit > .dxbl-btn-group-vertical > .dxbl-btn:not(.dxbl-btn.dxbl-edit-btn-clear,.dxbl-btn.dxbl-btn-icon), .dxbl-text-edit > .dxbl-btn-group > .dxbl-btn:not(.dxbl-btn.dxbl-edit-btn-clear,.dxbl-btn.dxbl-btn-icon), .dxbl-text-edit > .dxbl-btn:not(.dxbl-btn.dxbl-edit-btn-clear,.dxbl-btn.dxbl-btn-icon) {
        background-color: #e7e9f8;
    }

.section-title {
    font-weight: 600;
    text-align: center;
    color: #0f0072;
    font-size: 14px;
}

.dxbl-sc-apt-container.dxbl-sc-apt-template {
    overflow: hidden;
}

.accordion-wrapper .dxbl-accordion .dxbl-accordion-group-header {
    padding: 0;
    color: #fff;
    background-color: #5969E3;
}

.required-marker {
    color: red;
    margin-left: 2px;
}

.accordion-wrapper .bg-white {
    background-color: var(--dxbl-text-edit-bg) !important;
}

.dxbl-btn.dxbl-btn-hf {
    padding: 0 8px;
}

.vm-indent .validation-message {
    margin-left: 4px;
}

.dxbl-sc-tooltip-header,
.dxbl-sc-form-header,
.dxbl-sc-tooltip-header.dxbl-blue-color {
    padding: 0 !important;
    background-color: transparent !important;
    border: none !important;
}

.dxbl-apt-edit-compact-dialog-header,
.dxbl-apt-edit-compact-dialog-header.dxbl-blue-color {
    padding: 0 !important;
    background-color: transparent !important;
    border-bottom: none !important;
}

@media only screen and (min-width: 800px) {
    .carousel-height {
        height: 480px;
    }

    .anforderungsdetails-popup {
        max-width: 800px !important;
        margin: var(--dxbl-popup-margin) !important;
    }

    .grid-expand-btn-style .dxbl-grid-detail-cell {
        padding: 12px !important;
    }

    .section-title {
        font-size: 16px;
    }
}

@media only screen and (min-width: 1080px) {
    .carousel-height {
        height: 600px;
    }

    .pop-mx-1080 {
        max-width: 1080px;
        min-width: 1080px !important;
    }
}
